/*
 * FCRON - periodic command scheduler 
 *
 *  Copyright 2000 Thibault Godouet <fcron@free.fr>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 *  The GNU General Public License can also be found in the file
 *  `LICENSE' that comes with the fcron source distribution.
 */

 /* $Id: config.h,v 1.4 2000/05/30 19:26:13 thib Exp $ */


/* *********************************************************** */
/* This file is destined to be edited to match your preference */
/* *********************************************************** */


/* ****************************************************************** */
/* beginning of configurable stuff ********************************** */


/* NOTE : if you change anything here, check if the doc should not
          be updated
*/


/* *** options which can be set in Makefile *** */
/* (they are overridden by Makefile's value ) */

#ifndef VERSION
#define VERSION	"1.0.0"   /* default version if not defined in Makefile */
#endif

#ifndef FCRONTABS        /* directory where is stored users' fcrontabs */
#define FCRONTABS	"/var/spool/fcron/"
#endif

#ifndef ETC             /* directory where are stored fcrontab.allow/deny */
#define ETC             "/etc/"
#endif

#ifndef DEBUG
#define DEBUG           0  /* 1 if you want debug mode */
#endif

#ifndef FOREGROUND
#define FOREGROUND      0  /* 1 if you want foreground mode by default */
#endif

#ifndef SAVE
#define SAVE            1800  /* save every n seconds */
#endif


/* *** paths *** */

#define FCRON_ALLOW      "fcron.allow"

#define FCRON_DENY       "fcron.deny"

#define SENDMAIL	"/usr/lib/sendmail" /* mail command */

#define SENDMAIL_ARGS	"-Ffcron", "-odi"   /* args of mail command */

#define EDITOR          "/usr/bin/vi"       /* default editor */

#define SHELL           "/bin/sh"           /* default shell */

#define PIDFILE		"/var/run/fcron.pid" /* where is located pid file ? */


/* *** memory *** */

#define MAXLINES	256  /* max lines in non-root fcrontabs */

#define LINE_LEN    1024     /* max line length in user's config file */
#define FNAME_LEN 512        /* max length of a file name */
#define ENV_LEN 50           /* max length of an env variable name */

#define MAX_MSG 150           /* max length of a log message */



/* *** system dependent *** */

#define ERR     -1           
#define OK       0

#define EXIT_ERR   1         /* code returned by fcron/fcrontab on error */
#define EXIT_OK    0         /* code returned  on normal exit */

/* Syslog facility and priorities messages will be logged to (see syslog(3)) */
#define SYSLOG_FACILITY LOG_CRON
#define EXPLAIN_LEVEL LOG_NOTICE  /* informational messages */
#define WARNING_LEVEL LOG_WARNING /* warning messages */
#define COMPLAIN_LEVEL LOG_ERR    /* error messages */
#define DEBUG_LEVEL LOG_DEBUG     /* only used when DEBUG is defined */



/* end of configurable stuff **************************************** */
/* ****************************************************************** */

